Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510010 - [GSS](6.4.z) NameNotFoundException due to policyRegistration -- service jboss.naming.context.java.policyRegistration
Summary: [GSS](6.4.z) NameNotFoundException due to policyRegistration -- service jboss...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: 6.4.17
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR1
: EAP 6.4.20
Assignee: Petr Jurak
QA Contact: Pavel Slavicek
URL:
Whiteboard:
Depends On:
Blocks: eap6420-payload
TreeView+ depends on / blocked
 
Reported: 2017-11-06 14:38 UTC by tmiyargi
Modified: 2018-07-31 21:51 UTC (History)
8 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 319503 None None None 2017-11-06 14:41:38 UTC
JBoss Issue Tracker JBEAP-13718 Major Closed [GSS](7.0.z) NameNotFoundException due to policyRegistration -- service jboss.naming.context.java.policyRegistration 2018-07-18 07:32:16 UTC
JBoss Issue Tracker JBEAP-13973 Major Verified [GSS](7.1.z) NameNotFoundException due to policyRegistration -- service jboss.naming.context.java.policyRegistration 2018-07-18 07:32:16 UTC
JBoss Issue Tracker WFLY-9853 Major Resolved NameNotFoundException due to policyRegistration -- service jboss.naming.context.java.policyRegistration 2018-07-18 07:32:16 UTC

Description tmiyargi 2017-11-06 14:38:41 UTC
"NameNotFoundException due to policyRegistration – service jboss.naming.context.java.policyRegistration" is recorded in server.log during quickstart example run by changing log level:
<logger category="org.jboss.as.security">
<level name="TRACE"/>
</logger>
<logger category="org.jboss.security">
<level name="TRACE"/>
</logger>
See detailed description in community discussion #907134
I choose Jira component picketbox since the exception is titled as "PBOX000293: Exception caught: javax.naming.NameNotFoundException"

To reproduce:
run ejb-security example with trace log level for "org.jboss.secuirty" and "org.jboss.as.security". Then login from page: localhost:8080/wildfly-ejb-security with username and password. The result is successful, however, you will see the exception in server.log file.

Comment 1 tmiyargi 2017-11-13 08:21:25 UTC
This situation causes a big performance problem since there is a JNDI lookup performed that is not needed.

Comment 8 Jiří Bílek 2018-05-02 14:47:54 UTC
Regression tests passed
Verified with EAP 6.4.20.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.